ALSA project - the C library reference: /tmp/work/src/alsa-lib-1.2.8/src/control/control_remap.c File Reference

ALSA project - the C library reference

Loading...
Searching...
No Matches
Macros | Functions
control_remap.c File Reference

CTL Remap Plugin Interface. More...

## Macros
#define | REMAP_DEBUG 0
#define | debug(format, args...) do { } while (0)
#define | debug_id(id, format, args...) do { } while (0)
#define | EREMAPNOTFOUND (888899)
#define | ACCESS_BITS(bits)

## Functions
int | snd_ctl_remap_open (snd_ctl_t **handlep, const char *name, snd_config_t *remap, snd_config_t *map, snd_ctl_t *child, int mode)
| Creates a new remap & map control handle. More...
int | _snd_ctl_remap_open (snd_ctl_t **handlep, char *name, snd_config_t *root, snd_config_t *conf, int mode)
| Creates a new remap & map control plugin. More...
| SND_DLSYM_BUILD_VERSION (_snd_ctl_remap_open, SND_CONTROL_DLSYM_VERSION)

## Detailed Description

CTL Remap Plugin Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2021

## Macro Definition Documentation

## ◆ ACCESS_BITS

#define ACCESS_BITS | ( |  | bits | ) |

Value:
(bits & (SNDRV_CTL_ELEM_ACCESS_READWRITE|\
SNDRV_CTL_ELEM_ACCESS_VOLATILE|\
SNDRV_CTL_ELEM_ACCESS_TLV_READWRITE))

## Function Documentation

## ◆ _snd_ctl_remap_open()

int _snd_ctl_remap_open | ( | snd_ctl_t ** | handlep,
|  | char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | int | mode
| ) |  |

Creates a new remap & map control plugin.

Parameters

  handlep | Returns created control handle
  name | Name of control
  root | Root configuration node
  conf | Configuration node with Route & Volume PCM description
  mode | Control handle mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## ◆ snd_ctl_remap_open()

int snd_ctl_remap_open | ( | snd_ctl_t ** | handlep,
|  | const char * | name,
|  | snd_config_t * | remap,
|  | snd_config_t * | map,
|  | snd_ctl_t * | child,
|  | int | mode
| ) |  |

Creates a new remap & map control handle.

Parameters

  handlep | Returns created control handle
  name | Name of control device
  remap | Remap configuration
  map | Map configuration
  mode | Control handle mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.